## gnome-calculator 49.0

=== meson_options.txt ===
option('disable-ui', type : 'boolean', value : false, description : 'Disable GTK+ program')
option('vala-version', type: 'string', value : '', description : 'Use another version of Vala (only the latest is officially supported)')
option('disable-introspection', type : 'boolean', value : false, description : 'Disable GObject Introspection Typelib generation')
option('ui-tests', type : 'boolean', value : false, description : 'Execute UI tests: requires X/Wayland/Broadway/Windows server')
option('libpath', type: 'string', value : '', description : 'Used to add search path for libraries like mpc')
option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('gcalc', type: 'boolean', value: true, description: 'Build GCalc library')
option('gci', type: 'boolean', value: true, description: 'Build GCalc UI library')
option('app', type: 'boolean', value: true, description: 'Build GNOME Calculator Application')
option('doc', type: 'boolean', value: true, description: 'Build GCalc and/or GCi documentation')

## gnome-calculator 3.8.1

=== debian/changelog ===
gnome-calculator (1:3.8.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release.
    - Fix duplicate - when the - button is clicked (LP: #1155590)
    - Fix crash and error reporting bug

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 14 Apr 2013 20:57:33 -0400

gnome-calculator (1:3.8.0-0ubuntu1) raring; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 Mar 2013 09:59:36 +0100

gnome-calculator (1:3.7.92-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Rename gnome-calculator.desktop back to gcalctool.desktop
      to improve upgrading from quantal
    - Translation updates

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Mar 2013 20:00:47 -0400

gnome-calculator (1:3.7.90-0ubuntu1) raring; urgency=low

  * Sync with Debian svn

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 19 Feb 2013 11:14:23 -0500

gnome-calculator (1:3.7.90-1) UNRELEASED; urgency=low

  * Package renamed to gnome-calculator
  * Add transitional package for gcalctool
  * Add epoch to ensure upgrades from gcalctool 6.4 work
  * debian/control.in:
    - Build-depend on vala-0.18
    - Drop build-depends on flex and bison
    - Bump Standards-Version to 3.9.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Feb 2013 18:13:57 -0500

gcalctool (6.4.2.1-3) unstable; urgency=low

  * Recommend gnome-icon-theme-symbolic instead of gnome-icon-theme. 
    Closes: #692197.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 12:42:13 +0100

gcalctool (6.4.2.1-2) unstable; urgency=low

  * Don't override LDFLAGS so hardening build flags are correctly applied.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 16:01:52 +0200

gcalctool (6.4.2.1-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 15:52:52 +0200

gcalctool (6.4.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 17:28:46 +0200

gcalctool (6.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 07:44:13 +0200

gcalctool (6.4.0-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 01:12:34 +0200

gcalctool (6.3.92-1) experimental; urgency=low

  * New upstream development release.
  * Drop --disable-schemas-compile again, as it is unnecessary.
    If DESTDIR is used, glib-compile-schemas is not run.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Mar 2012 21:16:07 +0100

gcalctool (6.3.5-1) experimental; urgency=low

  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Bump Build-Depends on libglib2.0-dev to (>= 2.31).
    - Replace Build-Depends on gnome-doc-utils with yelp-tools (>= 3.1.1).
  * debian/rules:
    - Remove obsolete --disable-scrollkeeper configure flag.
    - Use --disable-schemas-compile since we have triggers for that.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Mar 2012 18:07:54 +0100

gcalctool (6.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Add Vcs-* fields.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * debian/rules:
    - Drop obsolete --with-gtk=3.0 configure flag.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Sep 2011 18:18:25 +0200

gcalctool (6.0.2-1) unstable; urgency=low

  * New upstream stable release.
  * debian/watch:
    - Switch to .bz2 tarball.
    - Don't hardcode leading version number.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Jun 2011 14:42:15 +0200

gcalctool (6.0.0-1) experimental; urgency=low

  * New upstream release.
  * Manpages fixed upstream
    - Removed patches
    - Removed debian/gcalccmd.1
    - Removed debian/manpages
  * Bumped watch version

 -- Jean Schurger <jean@schurger.org>  Mon, 04 Apr 2011 13:38:59 -0400

gcalctool (5.91.91-1) experimental; urgency=low

  * New upstream development release.
  * debian/control.in:
    - Updated the build dependencies.
  * debian/rules, debian/links, debian/install:
    - Built against gtk+3.0
    - Used dh tools install files
  * debian/source/format:
    - Switched source format to 3.0 (quilt)
  * debian/patches/00_manpages:
    - Removed the help about ~/.gcalctoolrc that is not used anymore
  * debian/manpages, debian/gcalccmd.1:
    - Added a man for gcalccmd

 -- Jean Schurger <jean@schurger.org>  Sat, 19 Mar 2011 19:22:21 -0400

gcalctool (5.31.1-1) experimental; urgency=low

  * New upstream development release.
    - Reimplemented undo and redo commands (Closes: #576579).
    - It is possible to switch mode in the interface (Closes: #578187).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 12 May 2010 00:08:37 +0200

gcalctool (5.30.2-2) unstable; urgency=low

  * Use simple-patchsys.
  * 01_tanhh.patch: patch from 	Alexander E. Patrakov to fix incorrect 
    tanh results. Closes: #604032.

 -- Josselin Mouette <joss@debian.org>  Sun, 21 Nov 2010 11:03:31 +0100

gcalctool (5.30.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Jun 2010 11:51:44 +0200

gcalctool (5.30.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Apr 2010 08:14:11 +0200

gcalctool (5.30.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_no_hostname_in_title.patch:
    - Removed, applied upstream.
  * debian/control.in:
    - Refresh build-dependencies.
    - Add libxml2-dev to Build-Depends.
    - Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 03 Apr 2010 15:55:16 +0200

gcalctool (5.28.2-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-calculator
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://live.gnome.org/Calculator
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               yelp-tools (>= 3.1.1),
               intltool (>= 0.40.1),
               valac-0.18 (>= 0.18.0),
               libglib2.0-dev (>= 2.31),
               libgtk-3-dev (>= 3.0.0),
               libxml2-dev (>= 2.4.7)
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-calculator
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calculator/

Package: gnome-calculator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp,
            gvfs,
            gnome-icon-theme
Breaks: gcalctool (<< 6.7)
Replaces: gcalctool (<< 6.7)
Description: GNOME desktop calculator
 gcalctool is a powerful graphical calculator with financial, logical and
 scientific modes. It uses a multiple precision package to do its arithmetic
 to give a high degree of accuracy.

Package: gcalctool
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-calculator
Description: gnome-calculator is a powerful graphical calculator for GNOME (transitional package)
 This is a transitional package to ease upgrades to gnome-calculator.
 It can be safely removed.

## gnome-calculator 3.8.2

=== debian/changelog ===
gnome-calculator (1:3.8.2-1ubuntu4) saucy; urgency=low

  * debian/patches/unity_classic_menubar.patch: use "Quit" rather than 
    "Close", that's what upstream and other applications use

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jul 2013 18:41:28 +0200

gnome-calculator (1:3.8.2-1ubuntu3) saucy; urgency=low

  * debian/patches/unity_classic_menubar.patch:
    - use a classic menu layout under Unity, the gnome-shell simplified menu
      doesn't work great for Unity (lp: #1131664)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Jun 2013 18:18:04 +0200

gnome-calculator (1:3.8.2-1ubuntu2) saucy; urgency=low

  * debian/rules:
    - Comment out epoch override 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 May 2013 13:57:24 -0400

gnome-calculator (1:3.8.2-1ubuntu1) saucy; urgency=low

  * Sync with Debian. Remaining change:
    - Use epoch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 May 2013 13:46:28 -0400

gnome-calculator (3.8.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on valac (>= 0.18) instead of valac-0.18
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 May 2013 12:54:08 +0200

gnome-calculator (3.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 04 Apr 2013 14:57:47 +0200

gnome-calculator (3.7.92-1) experimental; urgency=low

  * debian/copyright: mention help/* is under CC SA 3.0 Unported.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 19 Mar 2013 11:56:21 +0100

gnome-calculator (3.7.91-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * Package renamed to gnome-calculator
  * Add transitional package for gcalctool
  * Add epoch to ensure upgrades from gcalctool 6.4 work
  * debian/control.in:
    - Build-depend on vala-0.18
    - Drop build-depends on flex and bison
    - Bump Standards-Version to 3.9.4

  [ Andreas Henriksson ]
  * New upstream release
  * Don't use epoch
    - we only need to make sure the transitional packages has
      a high enough version number, not the new packages.
    - override dh_gencontrol for gcalctool transitional package
      to add an epoch there (set version to 1:$(DEB_VERSION)).

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Mar 2013 15:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://live.gnome.org/Calculator
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
@@ -16,7 +16,7 @@
                gnome-pkg-tools (>= 0.10),
                yelp-tools (>= 3.1.1),
                intltool (>= 0.40.1),
-               valac-0.18 (>= 0.18.0),
+               valac (>= 0.18.0),
                libglib2.0-dev (>= 2.31),
                libgtk-3-dev (>= 3.0.0),
                libxml2-dev (>= 2.4.7)

## gnome-calculator 3.10.2

=== debian/changelog ===
gnome-calculator (1:3.10.2-0ubuntu1) trusty; urgency=low

  * New upstream version
  * debian/patches/unity_classic_menubar.patch:
    - refreshed to work with the new upstream version, changed it a bit
      to make it upstreamable (e.g check for appmenu gtksettings rather
      than XDG_CURRENT_DESKTOP environment)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Nov 2013 17:48:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
 Homepage: https://live.gnome.org/Calculator
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Don't enable on Ubuntu
# make the transitional package have a high enough version number
#DEB_DH_GENCONTROL_ARGS_gcalctool += -u-v1:$(DEB_VERSION)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-calculator/([\d\.]+[02468])/ \
	gnome-calculator-(.*)\.tar\.xz

## gnome-calculator 3.10.3

=== debian/changelog ===
gnome-calculator (1:3.10.3-0ubuntu4) utopic; urgency=medium

  * debian/patches/git_base_change.patch:
    - don't display expression errors on base change (lp: #1362919)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Sep 2014 20:59:44 +0200

gnome-calculator (1:3.10.3-0ubuntu3) utopic; urgency=medium

  * debian/patches/unity_classic_menubar.patch:
    - use the correct quoting char otherwise intltool doesn't list the strings

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Sep 2014 16:20:50 +0200

gnome-calculator (1:3.10.3-0ubuntu2) utopic; urgency=medium

  * debian/patches/unity_classic_menubar.patch:
    - correctly specify the translation types

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Sep 2014 13:59:03 +0200

gnome-calculator (1:3.10.3-0ubuntu1) utopic; urgency=medium

  * New upstream version, drop patch included in the new version
  * debian/patches/unity_classic_menubar.patch: update translations template

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Sep 2014 10:23:45 +0200

gnome-calculator (1:3.10.2-0ubuntu2) utopic; urgency=medium

  * debian/patches/super_subscript_crash.patch:
    - Fix crash switching to super/subscript mode (LP: #1317725)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 May 2014 15:07:11 +1200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Homepage: https://live.gnome.org/Calculator
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),

## gnome-calculator 3.14.1

=== debian/changelog ===
gnome-calculator (3.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 26 Oct 2014 13:28:13 +0100

gnome-calculator (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 20:51:39 +0200

gnome-calculator (3.13.90-1) experimental; urgency=medium

  * New upstream development release.
  * Bump build-dependencies according to configure.ac changes:
    + valac (>= 0.24),
    + libglib2.0-dev (>= 2.40.0),
    + libgtk-3-dev (>= 3.11.6),

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 11:01:19 -0700

gnome-calculator (3.12.3-1) unstable; urgency=medium

  * debian/watch: only scan for stable releases.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Aug 2014 16:57:09 -0700

gnome-calculator (3.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Jean Schurger ]
  * New upstream release
  * debian/control.in: Bump valac build-dependency to >= 0.22

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 03 Jun 2014 14:19:35 +0200

gnome-calculator (3.12.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/validate-iter.patch:
    + Dropped, applied upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 27 Apr 2014 10:57:06 +0200

gnome-calculator (3.12.0-2) unstable; urgency=medium

  * Add debian/patches/validate-iter.patch (Closes: #742840)
    - this avoids crash when using comma as decimal separator.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 30 Mar 2014 19:35:36 +0200

gnome-calculator (3.12.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * Update debian/watch
  * debian/control:
    - Bump debhelper to 9
    - Bump standards-version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 20:09:30 +0100

gnome-calculator (3.11.90-1) experimental; urgency=medium

  * New upstream release.
  * Bump gtk+ build-dependency to 3.10.0 according to configure.ac
  * Add build-dependency on gtksourceview3 3.0.0

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 23:38:39 +0100

gnome-calculator (3.10.2-1) unstable; urgency=low

  * New upstream release
  * debian/control.in:
    - Update Homepage URL
    - Shorten gcalctool description to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Dec 2013 12:05:13 +0100

gnome-calculator (3.10.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
    - Fix 'malformed expression' after changing number bases. Closes: #715482
    - Fix consecutive exponents (LP: #1107169)
  * Update homepage

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 19:57:28 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-calculator
Section: math
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
Homepage: https://wiki.gnome.org/Apps/Calculator
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               yelp-tools (>= 3.1.1),
               intltool (>= 0.40.1),
               valac (>= 0.24),
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.11.6),
               libgtksourceview-3.0-dev (>= 3.0.0),
               libxml2-dev (>= 2.4.7)
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-calculator
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calculator/

Package: gnome-calculator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp,
            gvfs,
            gnome-icon-theme
Breaks: gcalctool (<< 6.7)
Replaces: gcalctool (<< 6.7)
Description: GNOME desktop calculator
 gcalctool is a powerful graphical calculator with financial, logical and
 scientific modes. It uses a multiple precision package to do its arithmetic
 to give a high degree of accuracy.

Package: gcalctool
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-calculator
Description: GNOME desktop calculator (transitional package)
 This is a transitional package to ease upgrades to gnome-calculator.
 It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,5 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-# Don't enable on Ubuntu
 # make the transitional package have a high enough version number
-#DEB_DH_GENCONTROL_ARGS_gcalctool += -u-v1:$(DEB_VERSION)
+DEB_DH_GENCONTROL_ARGS_gcalctool += -u-v1:$(DEB_VERSION)

## gnome-calculator 3.16.2

=== debian/changelog ===
gnome-calculator (1:3.16.2-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Switch gnome-icon-theme to adwaita-icon-theme, which is its successor.
  * debian/rules:
    - Comment out epoch override.
  * debian/patches/git_no_headerbars_in_unity.patch:
    - Replace old-style patch with new HeaderBar removal in Unity   

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 13 Jul 2015 11:00:49 +1200

gnome-calculator (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Add libmpfr-dev.
    - Bump libgtksourceview-3.0-dev to (>= 3.15.1).
    - Bump intltool to (>= 0.50).
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 23:35:22 +0200

gnome-calculator (1:3.16.2-0ubuntu1) wily; urgency=medium

  * New upstream release (LP: #1456866)
  * debian/control:
    - Bump build-depends on libgtksourceview-3.0-dev
    - Add build-depends on libmpfr-dev
  * debian/patches/git_incorrect_method.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 10 Jun 2015 11:30:20 +1200

gnome-calculator (1:3.14.1-0ubuntu3) vivid; urgency=medium

  * debian/patches/git_incorrect_method.patch:
    - Fix FTBFS due to incorrect use of overridden method

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 07 Apr 2015 12:09:34 +1200

gnome-calculator (1:3.14.1-0ubuntu2) vivid; urgency=medium

  * Switch gnome-icon-theme to adwaita-icon-theme, which is its
    successor. (LP: #1414613)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 Jan 2015 14:55:42 +0000

gnome-calculator (1:3.14.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * debian/patches/git_base_change.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 04 Dec 2014 16:15:55 +1300

gnome-calculator (1:3.12.4-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1338823)
  * debian/control:
    - Bump build-depends on intltool, valac, libgtk-3-dev
    - Add build-depends on libgtksourceview-3.0-dev
  * debian/patches/unity_classic_menubar.patch:
  * debian/patches/git_no_headerbars_in_unity.patch:
    - Replace old-style patch with new HeaderBar removal in Unity

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 28 Nov 2014 15:10:40 +1300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-calculator
 Section: math
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Calculator
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 9),
@@ -14,13 +15,14 @@
                gnome-common,
                gnome-pkg-tools (>= 0.10),
                yelp-tools (>= 3.1.1),
-               intltool (>= 0.40.1),
+               intltool (>= 0.50),
                valac (>= 0.24),
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.11.6),
-               libgtksourceview-3.0-dev (>= 3.0.0),
-               libxml2-dev (>= 2.4.7)
-Standards-Version: 3.9.5
+               libgtksourceview-3.0-dev (>= 3.15.1),
+               libxml2-dev (>= 2.4.7),
+               libmpfr-dev
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-calculator
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calculator/
 
@@ -30,7 +32,7 @@
          ${misc:Depends}
 Recommends: yelp,
             gvfs,
-            gnome-icon-theme
+            adwaita-icon-theme
 Breaks: gcalctool (<< 6.7)
 Replaces: gcalctool (<< 6.7)
 Description: GNOME desktop calculator

## gnome-calculator 3.18.3

=== debian/changelog ===
gnome-calculator (1:3.18.3-0ubuntu1) xenial; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Feb 2016 16:41:56 +0100

gnome-calculator (1:3.18.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/rules:
    - Comment out epoch override.
  * debian/patches/git_no_headerbars_in_unity.patch:
    - Don't use HeaderBars in Unity

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 12 Nov 2015 17:08:35 +1300

gnome-calculator (3.18.2-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop obsolete recommends on gnome-icon-theme (Closes: #802765)

  [ Michael Biebl ]
  * New upstream release.
  * Drop debian/patches/fix-linking-problems.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2015 22:07:22 +0100

gnome-calculator (1:3.18.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Switch gnome-icon-theme to adwaita-icon-theme, which is its successor.
  * debian/rules:
    - Comment out epoch override.
  * debian/patches/git_no_headerbars_in_unity.patch:
    - Don't use HeaderBars in Unity

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Oct 2015 10:58:01 +0200

gnome-calculator (3.18.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Add DEP-3 Bug reference URL in d/p/fix-linking-problems.patch

  [ Pedro Beja ]
  * Update package description. 

  [ Michael Biebl ]
  * New upstream release.
  * Wrap overlong package description.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 15:50:45 +0200

gnome-calculator (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - drop gnome-common
  * Add debian/patches/fix-linking-problems.patch
    - this avoids FTBFS by explicitly referencing all required libraries
  * Add snippet to debian/rules to drop '*.la' from being installed

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 18:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 9),
                dh-autoreconf,
-               gnome-common,
                gnome-pkg-tools (>= 0.10),
                yelp-tools (>= 3.1.1),
                intltool (>= 0.50),
@@ -24,21 +23,20 @@
                libmpfr-dev
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-calculator
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calculator/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calculator/
 
 Package: gnome-calculator
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: yelp,
-            gvfs,
-            adwaita-icon-theme
+            gvfs
 Breaks: gcalctool (<< 6.7)
 Replaces: gcalctool (<< 6.7)
 Description: GNOME desktop calculator
- gcalctool is a powerful graphical calculator with financial, logical and
- scientific modes. It uses a multiple precision package to do its arithmetic
- to give a high degree of accuracy.
+ The GNOME calculator is a powerful graphical calculator with financial,
+ logical and scientific modes. It uses a multiple precision package to do its
+ arithmetic to give a high degree of accuracy.
 
 Package: gcalctool
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,9 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
+# Don't enable on Ubuntu
 # make the transitional package have a high enough version number
-DEB_DH_GENCONTROL_ARGS_gcalctool += -u-v1:$(DEB_VERSION)
+#DEB_DH_GENCONTROL_ARGS_gcalctool += -u-v1:$(DEB_VERSION)
+
+install/gnome-calculator::
+	find debian/tmp -name '*.la' | xargs rm -f

## gnome-calculator 3.18.3-0ubuntu1.16.04.1.mint1

=== debian/changelog ===
gnome-calculator (1:3.18.3-0ubuntu1.16.04.1.mint1) serena; urgency=medium

  * Fix the app title showing as "gnome-calculator"

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Dec 2016 19:15:27 +0000

gnome-calculator (1:3.18.3-0ubuntu1.16.04.1) xenial; urgency=medium

  * debian/patches/lp1622379-prevent-segfault.patch. (LP: #1622379)
    - Prevents segfault when elements of division to zero have null
      assigned tokens.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Fri, 30 Sep 2016 15:10:10 +0100

## gnome-calculator 3.22.0

=== debian/changelog ===
gnome-calculator (1:3.22.0-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add epoch
    - debian/patches/git_no_headerbars_in_unity.patch:
      + Don't use HeaderBars in Unity

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2016 20:17:41 -0400

gnome-calculator (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Sep 2016 23:32:22 +0200

gnome-calculator (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 00:25:33 +0200

gnome-calculator (3.21.90-1) unstable; urgency=low

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 31 Aug 2016 18:17:55 +0200

gnome-calculator (3.20.2-2) unstable; urgency=medium

  * Don't build static libraries.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2016 14:58:33 +0200

gnome-calculator (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2016 14:52:23 +0200

gnome-calculator (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop no longer needed gcalctool transitional package.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 May 2016 18:58:00 +0200

gnome-calculator (3.20.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Switch build-dependency on libsoup-gnome2.4-dev to libsoup2.4-dev
    - configure.ac uses libsoup-2.4.pc after all.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 15:45:18 +0100

gnome-calculator (3.18.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes incorrect exponential computation. (Closes: #812779)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Feb 2016 00:53:27 +0100

## gnome-calculator 3.22.2

=== debian/changelog ===
gnome-calculator (1:3.22.2-1ubuntu0.1) yakkety; urgency=medium

  * New upstream release.
  * Merge with Debian (LP: #1648992, LP: #1633408). Remaining changes:
    - Add epoch
    - debian/patches/git_no_headerbars_in_unity.patch:
      + Don't use HeaderBars in Unity

 -- FJKong <fanjun.kong@canonical.com>  Wed, 04 Jan 2017 01:29:43 +0800

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-calculator
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
Homepage: https://wiki.gnome.org/Apps/Calculator
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools (>= 0.10),
               yelp-tools (>= 3.1.1),
               intltool (>= 0.50),
               valac (>= 0.24),
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.11.6),
               libgtksourceview-3.0-dev (>= 3.15.1),
               libxml2-dev (>= 2.4.7),
               libsoup2.4-dev (>= 2.42),
               libmpfr-dev
Standards-Version: 3.9.8
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gcalctool/ubuntu

Package: gnome-calculator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp,
            gvfs
Breaks: gcalctool (<< 6.7)
Replaces: gcalctool (<< 6.7)
Description: GNOME desktop calculator
 The GNOME calculator is a powerful graphical calculator with financial,
 logical and scientific modes. It uses a multiple precision package to do its
 arithmetic to give a high degree of accuracy.

## gnome-calculator 3.22.3

=== debian/changelog ===
gnome-calculator (3.22.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Feb 2017 20:52:00 +0100

gnome-calculator (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 00:19:14 +0100

gnome-calculator (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 13:15:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-calculator
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Calculator
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
@@ -21,7 +20,8 @@
                libsoup2.4-dev (>= 2.42),
                libmpfr-dev
 Standards-Version: 3.9.8
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gcalctool/ubuntu
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-calculator
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calculator/
 
 Package: gnome-calculator
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_install:
	dh_install
	find debian/gnome-calculator -name '*.la' -delete

## gnome-calculator 3.24.0

=== debian/changelog ===
gnome-calculator (1:3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translation release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Mar 2017 14:34:05 -0400

gnome-calculator (1:3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream translation release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Mar 2017 20:06:32 -0400

gnome-calculator (1:3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream translation release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Feb 2017 23:57:34 -0500

gnome-calculator (1:3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop git_fix_ans_value_in_popup.patch: Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2017 16:37:52 -0500

gnome-calculator (1:3.23.4-0ubuntu1) zesty; urgency=medium

  * New upstream release.
    - Complex numbers are handled more accurately using mpc (LP: #1566513)
    - Titlebar now displays correct app name in Unity (LP: #1615408)
  * debian/control.in:
    - Build-depend on libmpc-dev
    - Bump minimum libgtk-3-dev
  * Refreshed git_no_headerbars_in_unity.patch
  * Add git_fix_ans_value_in_popup.patch:
    - Display 'ans' value correctly in variable list

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Feb 2017 14:41:00 -0500

gnome-calculator (1:3.22.2-1ubuntu1) zesty; urgency=medium

  * Merge with Debian (LP: #1648992, LP: #1633408). Remaining changes:
    - Add epoch
    - debian/patches/git_no_headerbars_in_unity.patch:
      + Don't use HeaderBars in Unity

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Dec 2016 12:44:22 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-calculator
 Section: math
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Calculator
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
@@ -14,14 +15,14 @@
                intltool (>= 0.50),
                valac (>= 0.24),
                libglib2.0-dev (>= 2.40.0),
-               libgtk-3-dev (>= 3.11.6),
+               libgtk-3-dev (>= 3.19.3),
                libgtksourceview-3.0-dev (>= 3.15.1),
                libxml2-dev (>= 2.4.7),
                libsoup2.4-dev (>= 2.42),
+               libmpc-dev,
                libmpfr-dev
 Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-calculator
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-calculator/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gcalctool/ubuntu
 
 Package: gnome-calculator
 Architecture: any

## gnome-calculator 3.25.92

=== debian/changelog ===
gnome-calculator (1:3.25.92-0ubuntu1) artful; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Oct 2017 10:36:59 -0400

gnome-calculator (1:3.25.91-0ubuntu2) artful; urgency=medium

  * debian/patches/git_fix_calculator_additional_parameter.patch:
    - Fix additional operand giving invalid expression for the frenchies
      (LP: #785107)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 29 Sep 2017 15:06:16 -0400

gnome-calculator (1:3.25.91-0ubuntu1) artful; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Aug 2017 17:54:09 -0400

gnome-calculator (1:3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depend on appstream-util
    - Drop obsolete Build-Depends on intltool

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 08 Aug 2017 12:57:10 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Calculator
-Build-Depends: debhelper (>= 10),
+Build-Depends: appstream-util,
+               debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                yelp-tools (>= 3.1.1),
-               intltool (>= 0.50),
                valac (>= 0.24),
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.19.3),

## gnome-calculator 3.27.92

=== debian/changelog ===
gnome-calculator (1:3.27.92-1ubuntu1) bionic; urgency=medium

  * Sync with Debian.
    - Fixes the gnome-shell calculator search provider
  * Remaining change:
    - Add epoch

 -- Tim Lunn <tim@feathertop.org>  Sat, 03 Mar 2018 21:16:22 +1100

gnome-calculator (3.27.92-1) unstable; urgency=medium

  * New upstream release candidate
    - Fixes black rectangle in input box with some themes (Closes: #888808)
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Feb 2018 17:47:30 -0500

gnome-calculator (3.27.90-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Drop git_fix_calculator_additional_parameter.patch: Applied

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 07 Feb 2018 10:49:37 -0500

gnome-calculator (3.26.0-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 07 Feb 2018 10:21:19 -0500

gnome-calculator (3.26.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add git_fix_calculator_additional_parameter.patch:
    - Fix additional operand giving invalid expression for French users
      (LP: #785107, Closes: #875880)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 19 Jan 2018 12:40:30 +0100

gnome-calculator (3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 12:55:54 -0500

gnome-calculator (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Nov 2017 10:59:44 +0100

gnome-calculator (3.25.92-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Sep 2017 02:27:36 -0400

gnome-calculator (3.25.91-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on libmpc-dev
    - Bump minimum libgtk-3-dev to >= 3.19.3
    - Drop obsolete Build-Depends on intltool
    - Build-Depend on appstream-util
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 11:13:52 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Source: gnome-calculator
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
-Homepage: https://wiki.gnome.org/Apps/Calculator
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
-               debhelper (>= 10),
+               debhelper (>= 11.1.3),
                gnome-pkg-tools (>= 0.10),
-               yelp-tools (>= 3.1.1),
+               itstool,
+               meson (>= 0.37),
                valac (>= 0.24),
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.19.3),
@@ -21,8 +20,10 @@
                libsoup2.4-dev (>= 2.42),
                libmpc-dev,
                libmpfr-dev
-Standards-Version: 3.9.8
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gcalctool/ubuntu
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
+Homepage: https://wiki.gnome.org/Apps/Calculator
 
 Package: gnome-calculator
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-calculator-pot
	dh_translations

override_dh_auto_clean:
	dh_auto_clean
	rm -f po/gnome-calculator.pot

## gnome-calculator 3.28.1

=== debian/changelog ===
gnome-calculator (1:3.28.1-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - Add epoch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Apr 2018 14:33:47 -0400

gnome-calculator (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 14:33:04 -0400

gnome-calculator (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 12:59:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-calculator
@@ -20,7 +20,7 @@
                libsoup2.4-dev (>= 2.42),
                libmpc-dev,
                libmpfr-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
 Homepage: https://wiki.gnome.org/Apps/Calculator

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
